# Protocol Game

The protocol game is an interactive, web-based application designed to help students learn attacks against security protocols.  
This game has been inspired by many protocol verification tools avaiable in the literature, and does not aim at replacing them, but instead at helping the construction and visualisation of the attack. 

In order to run this game in the simplest way, clone the repo, and open the games in the `protocols` folder. 

# Tutorial

A tutorial is available at https://protocols.morisset.eu/docs/2-game/


# Author 

The game has been developed by [Charles Morisset](http://morisset.eu), in the context of the CSC3124 and CSC8102 modules at Newcastle University. 
